#
# spec file for package THE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           THE
Version:        3.3~RC4
Release:        2.19
Summary:        The Hessling Editor (z/VM-CMS xedit clone)
# getch.c and getch.h state that
# Permission is hereby granted to copy, distribute or otherwise
# use any part of this package as long as you do not try to make
# money from it or pretend that you wrote it.
# see boo#982229
License:        GFDL-1.1 and GPL-2.0+ and SUSE-Freeware
Group:          Productivity/Editors/Other
Url:            http://hessling-editor.sourceforge.net/
Source0:        https://sourceforge.net/projects/hessling-editor/files/hessling-editor/3.3%%20Release%%20Candidate%%204/THE-3.3RC4.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  flex
BuildRequires:  ncurses-devel
BuildRequires:  htmldoc
BuildRequires:  Regina-REXX-devel
BuildRequires:  Regina-REXX
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
THE is a text editor that uses both command line commands and key bindings
to operate. It is intended to be similar to the z/VM-CMS system editor,
XEDIT, and to Mansfield Software's, KEDIT

%package doc
Summary:        The Hessling Editor (z/VM-CMS xedit clone)
Group:          Documentation/PDF

%description doc
This package contains the documentation for the THE (The Hessling Editor)
package.

%prep
%setup -q -n %{name}-3.3RC4

%build
%configure \
  --with-ncurses \
  --with-rexx=regina
PATH=${PATH}:$(pwd)
# parallel build randomly fails
make --jobs=1 CFLAGS="%{optflags}" all pdf

%install
%make_install
ln -s %{_mandir}/man1/the.1.gz %{buildroot}%{_mandir}/man1/nthe.1.gz
# Do not ship backup file
rm -rf doc/THE_Help_head.bak

%files
%defattr(-,root,root)
%doc FAQ README TODO COPYING HISTORY
%{_bindir}/the
%{_bindir}/nthe
%{_datadir}/THE/
%{_mandir}/man1/nthe.1%{ext_man}
%{_mandir}/man1/the.1%{ext_man}

%files doc
%defattr(644,root,root)
%doc app*.htm*
%doc appendix.*
%doc doc/*

%changelog
* Tue May 31 2016 mpluskal@suse.com
- Update licensing information
* Mon May 23 2016 jengelh@inai.de
- Set group for -doc subpackage
* Sun May 15 2016 mpluskal@suse.com
- Update to 3.3~RC4
- Drop no longer needed patches
  * THE-3.1-open.patch
  * THE-3.2-lib64.patch
  * THE-3.2-nostrictaliasing.patch
* Mon May  2 2016 mpluskal@suse.com
- Rename fro the to THE
* Wed Apr 20 2016 mpost@suse.com
- Upgraded to version 3.2
- Renamed THE-3.1-lib64.patch to THE-3.2-lib64.patch and updated
  it to fit the new version.
- Renamed THE-3.1-nostrictaliasing.diff to THE-3.2-nostrictaliasing.patch
  and updated it to fit the new version.
- Renamed THE-3.1-open.diff to THE-3.1-open.patch
- Removed obsolete patches:
  THE-3.1-DESTDIR.diff
  THE-3.1-same-variable-used-twice.patch
- Added a symbolic link of /usr/bin/the to point to the new name
  /usr/bin/nthe
- Added a symbolic link of /usr/share/man/man1/the.1.gz to point to the new name
  /usr/share/man/man1/nthe.1.gz
- Broke the documentation out into a doc package.
- Replaced hardcoded paths and version numbers with RPM macros.
- Version 3.2 didn't have a separate PDF manual, but it could be generated with
  a "make pdf" command, so that was added to the spec file.
- Adding "make pdf" required that "BuildRequires: htmldoc" was added to the
  spec file.
- Added a the-rpmlintrc file to suppress warnings about using "the" in the
  summary.
- Replaced manual ./configure with %%configure.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Sat Jan 12 2008 coolo@suse.de
- fix build with glibc 2.7
* Thu Mar 29 2007 meissner@suse.de
- added buildrequires ncurses-devel
* Thu Jan 18 2007 ssommer@suse.de
- fix same variable used twice error
- renamed the-3.1.spec -> the.spec
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue May 10 2005 meissner@suse.de
- use RPM_OPT_FLAGS. Fixed the bug the strict-aliasing
  code exposed (now using short instead of short*).
* Fri May 21 2004 ro@suse.de
- add -fno-strict-aliasing
* Mon Jan 12 2004 adrian@suse.de
- added %%defattr
* Tue Aug  5 2003 mge@suse.de
- fixed lib64 patch
* Tue Aug  5 2003 mge@suse.de
- added pdf-documentation
* Tue May 27 2003 ro@suse.de
- fix man-page installation and add man-page to filelist
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Aug 16 2002 mge@suse.de
- fix building on 64bit
* Thu Aug 15 2002 mge@suse.de
- update to 3.1
* Mon May 27 2002 meissner@suse.de
- %%_lib fixes again. (coolos stuff did not work).
* Tue May 21 2002 coolo@suse.de
- update config and add lib64 patch
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Wed Jul  5 2000 mge@suse.de
- patch for regina 2.0.0
* Sun Feb 13 2000 mge@suse.de
- update to 3.0
- group tag
* Tue Dec 14 1999 uli@suse.de
- added "#undef PPC" to the.h to avoid conflicts with PPC identifier
* Mon Oct 25 1999 mge@suse.de
- moved /usr/THE to /usr/share/THE,
- removed useless "requires"
* Mon Oct 25 1999 mge@suse.de
- initial SuSE-RPM
